# pathVariables

open fun pathVariables(pathVariables: Map<String, File>)

Adds path variables to be used for replacing absolute paths in classpath entries.

If the beginning of the absolute path of a library or other path-related element matches a value of a variable, a variable entry is used. The matching part of the library path is replaced with the variable name.

For example see docs for EclipseModel

#### Parameters

pathVariables

A map with String->File pairs.